
QGIS Application - Bug report #14096

Processing: OTB Segmentation (edison) fails

2016-01-13 01:30 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22103

Description

With current OTB 5.2

TypeError: exceptions must be old-style classes or derived from BaseException, not bool 

Traceback (most recent call last):

  File "/home/paolo/.qgis2/python/plugins/processing/gui/ProcessingToolbox.py", line 210, in executeAlgorithm

    dlg = AlgorithmDialog(alg)

  File "/home/paolo/.qgis2/python/plugins/processing/gui/AlgorithmDialog.py", line 67, in init

    AlgorithmDialogBase.__init__(self, alg)

  File "/home/paolo/.qgis2/python/plugins/processing/gui/AlgorithmDialogBase.py", line 74, in init

    isText, algHelp = self.alg.help()

  File "/home/paolo/.qgis2/python/plugins/processing/algs/otb/OTBAlgorithm.py", line 85, in help

    raise False

TypeError: exceptions must be old-style classes or derived from BaseException, not bool

Associated revisions

Revision f8de083a - 2016-01-13 11:06 AM - Victor Olaya

[Processing] [OTB] fixed wrong command when alg help is not found

fixes #14096

History

#1 - 2016-01-13 01:34 AM - Paolo Cavallini

- Subject changed from Processing: OTB Segmentation (edison) rfails to Processing: OTB Segmentation (edison) fails

#2 - 2016-01-13 02:07 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"f8de083a5b530924a55885787c7b006c52a776bf".

#3 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#4 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No
#5 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#6 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
